commit:     6db93e1d0aa08604dbf542595494f1bdf511c34b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 30 13:01:59 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Apr 30 13:02:19 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6db93e1d

app-emacs/webpaste: new package; add version 3.2.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/webpaste/Manifest                   |  1 +
 app-emacs/webpaste/files/50webpaste-gentoo.el |  7 ++++++
 app-emacs/webpaste/metadata.xml               | 19 +++++++++++++++
 app-emacs/webpaste/webpaste-3.2.2.ebuild      | 34 +++++++++++++++++++++++++++
 4 files changed, 61 insertions(+)

diff --git a/app-emacs/webpaste/Manifest b/app-emacs/webpaste/Manifest
new file mode 100644
index 000000000000..daaf06d05150
--- /dev/null
+++ b/app-emacs/webpaste/Manifest
@@ -0,0 +1 @@
+DIST webpaste-3.2.2.tar.gz 27171 BLAKE2B 
cf766d1eeca07747043a3157da8cb954c63c142531b5e156d5255fb0ec556b59780c463bd6f77763aa42625eb15f4aee75375a0e67c0883000e14eeb0023b6b8
 SHA512 
700ca6ed2c0171e6c5b4047e2d5db3af04d7196daae93d5705709f0ae92eec268da5fd4818b13c35e73ee839e739d95010efc3c20c4e32e87bccef8becdff810

diff --git a/app-emacs/webpaste/files/50webpaste-gentoo.el 
b/app-emacs/webpaste/files/50webpaste-gentoo.el
new file mode 100644
index 000000000000..8f041e6e0d86
--- /dev/null
+++ b/app-emacs/webpaste/files/50webpaste-gentoo.el
@@ -0,0 +1,7 @@
+(add-to-list 'load-path "@SITELISP@")
+(autoload 'webpaste-paste-region "webpaste"
+  "Paste selected region to some paste service." t)
+(autoload 'webpaste-paste-buffer "webpaste"
+  "Paste current buffer to some paste service." t)
+(autoload 'webpaste-paste-buffer-or-region "webpaste"
+  "Paste current buffer or selected region to some paste service." t)

diff --git a/app-emacs/webpaste/metadata.xml b/app-emacs/webpaste/metadata.xml
new file mode 100644
index 000000000000..fd5814f2d240
--- /dev/null
+++ b/app-emacs/webpaste/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>[email protected]</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <upstream>
+    <changelog>https://github.com/etu/webpaste.el/releases/</changelog>
+    <bugs-to>https://github.com/etu/webpaste.el/issues/</bugs-to>
+    <remote-id type="github">etu/webpaste.el</remote-id>
+  </upstream>
+  <longdescription>
+    Webpaste.el allows to paste whole buffers or parts of buffers to
+    pastebin-like services. It supports more than one service and will failover
+    if one service fails.
+  </longdescription>
+</pkgmetadata>

diff --git a/app-emacs/webpaste/webpaste-3.2.2.ebuild 
b/app-emacs/webpaste/webpaste-3.2.2.ebuild
new file mode 100644
index 000000000000..1d7054734a31
--- /dev/null
+++ b/app-emacs/webpaste/webpaste-3.2.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=24.4
+
+inherit elisp
+
+DESCRIPTION="Paste parts of buffers to several pastebin-like services from 
Emacs"
+HOMEPAGE="https://github.com/etu/webpaste.el/";
+SRC_URI="https://github.com/etu/${PN}.el/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}"/${PN}.el-${PV}
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="app-emacs/request"
+BDEPEND="
+       ${RDEPEND}
+       test? ( app-emacs/buttercup )
+"
+
+DOCS=( README.org )
+# Remove failing tests
+ELISP_REMOVE="tests/unit/test-webpaste-provider-creation.el"
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       buttercup -L . -L tests tests/unit || die
+}

Reply via email to